Class | Rubygame::EventTriggers::AndTrigger
In: | lib/rubygame/event_triggers.rb
Parent: | Object

AndTrigger is an event trigger which contains one or more other triggers, and fires when an event matches all of its triggers. You can use this to create more complex logic than is possible with a single trigger.

Contrast with OrTrigger.

### Methods

match? new

### Public Class methods

new( *triggers )

Initialize a new instance of AndTrigger, containing the given triggers.

*triggers: | The triggers to contain. (Array of triggers, required)

Example:

      gameover_trigger = InstanceOfTrigger.new( GameOver )
      won_trigger = AttrTrigger.new( :won_game => true )

      # Matches only an event which is BOTH:
      #  1. an instance of class GameOver, AND
      #  2. returns true when #won_game is called
      AndTrigger.new( gameover_trigger, won_trigger )

### Public Instance methods

match?( event )

Returns true if the event matches all the triggers that the AndTrigger contains.

[Validate]